%define filippov_version 1.0.7pre44
%define fontdir %{_datadir}/fonts/default/Type1
%define catalogue /etc/X11/fontpath.d

Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		urw-fonts
Version:	2.4
Release:	1
License:	GNU/GPL, URW holds copyright
URL:		ftp://ftp.gnome.ru/fonts/urw/release/
Group:		Publishing
Source: ftp://ftp.gnome.ru/fonts/urw/release/urw-fonts-%{filippov_version}.tar.bz2
Summary:	Free versions of the 35 standard PostScript fonts.
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires(post): chkfontpath
Requires(post):	fontconfig
Requires(post):	xorg-x11-font-utils
Requires(postun): xorg-x11-font-utils

%description 
Free, good quality versions of the 35 standard PostScript(TM) fonts,
donated under the GPL by URW++ Design and Development GmbH.  The
fonts.dir file font names match the original Adobe names of the fonts
(e.g., Times, Helvetica, etc.).

Install the urw-fonts package if you need free versions of standard
PostScript fonts.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{fontdir}
install -m 0644 *.afm *.pfb $RPM_BUILD_ROOT%{fontdir}/

# Touch ghosted files
touch $RPM_BUILD_ROOT%{fontdir}/{fonts.{dir,scale,cache-1},encodings.dir}

# Install catalogue symlink
mkdir -p $RPM_BUILD_ROOT%{catalogue}
ln -sf %{fontdir} $RPM_BUILD_ROOT%{catalogue}/fonts-default

%post
{
   umask 133
   mkfontscale %{fontdir} || :
   `which mkfontdir` %{fontdir} || :
   fc-cache %{_datadir}/fonts
} &> /dev/null || :

%postun
{
   if [ "$1" = "0" ]; then
      fc-cache %{_datadir}/fonts
   fi
} &> /dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc COPYING README README.tweaks
%dir %{_datadir}/fonts/default
%dir %{fontdir}
%{catalogue}/fonts-default
%ghost %verify(not md5 size mtime) %{fontdir}/fonts.dir
%ghost %verify(not md5 size mtime) %{fontdir}/fonts.scale
%ghost %verify(not md5 size mtime) %{fontdir}/fonts.cache-1
%ghost %verify(not md5 size mtime) %{fontdir}/encodings.dir
%{fontdir}/*.afm
%{fontdir}/*.pfb

%changelog
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 2.4-1
- Version update
* Mon Sep 18 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.7pre41-2
- xorg 7.1
* Wed Apr 26 2006 Christian Wasem <wasem@ccux-linux.de> 1.0.7pre41-1
- Initial release